I changed something about how AutoCAD displays and enters data for block grips.
It used to display the current value for the parameter when I dragged a grip. For instance grabbing a grip for a linear parameter would give me the current length of the parameter and if I typed 24" into the dynamic input it would change the parameter's value to 24"
Now the grips behave as if they were ordinary entities. For example if I grabbed a linear grip that had a value of 12" the displayed value is 0. As soon as I move it displays the value of the difference. Stretching it to 16" will display 4" when it used to display 16". If I were to type in 16" however the parameter shoots to 28" (12" + 16")!See, it's giving me the polar distance I dragged the grip and not 2'-2" (the value of the linear parameter) like it should.
I have a dynamic block, that represents a stirrup.
I inserted in the block a Block Propreties Table, that have some preset dimensions for the stirrups. The grip of this table I decided to put in the top right corner.
The problem is that I can't make this grip moveable )
I have successfully created a dynamic block. I can insert it into AutoCAD, and it behaves like I want, except for one thing.
I can select the block and change it by taking a grippoint and place it at another position. So my block is e.q. stretched, just like I wanted.
But then. When I want to use the ordinary STRETCH command of AutoCAD, I can only stretch the insertion point of the block, but not the grippoints. Is there a way to set a grippoint to be select edable by commands like STRETCH.
I have a dynamic block with several actions and parameters. There are three grip points. Two are visible. One appears when you move one of the other grips. If i insert or paste this block near my template, the X/Y basepoint stays near the template when i drag the block on the template with one of the other two grips.. When i print the drawing the basepoint stays visible and the scale on my printed drawing is not correct (smaller).
I'm wondering if there is a way to do two things with a block.In the attached drawing, I have a block, Block01. There are 2 visibility states: stretch with 90 degree ends, and stretch with angled ends.
I'd like for the grips for the other parameters to move with the block when I stretch one grip. For example: If I stretch the object with the 90 degree end, I'd like the grips for the angled ends stay in the same position relative to the corners of the object.
I'd also like to have a parameter that reads the angle when stretching with the "stretch with angled ends parameter.
A simple dynamic block using a Block Properties Table to control the value of an attribute. The block also has flip & rotate actions, but I cannot get the Block Table grip to flip or rotate with the rest of the block even though it is part of both selection sets.
I have created a dynamic block with stretch points. I used the tester in the block editor and all works fine, but when I insert the block into a drawing, the grips for the stretch action are in a completely different place...I don't mean a different place on the block, but a different place in the drawing...way out there. so if I go into the block editor for the block while I'm in the drawing...the parameters have now moved way out of the way also, in the block...but if I actually open up the block itself and then go into the block editor, all the parameters are where i placed them in the first place.
Basically I want a dynamic block that works like an MLeader. I have built the block and can manipulate parameters, but haven't found a way to select a specific dynamic block grip.
It has a base point but then after placing the block I want to activate the stretch grip.
I am working on a dynamic block that I figured would be fairly simple. However, it is proving to be a huge annoyance. What I want for it to do is stretch the end of a polyline with a stretch action, while at the same time moving the grip of my block properties table. No matter what I do to it, the block properties grip won't move/stretch.
I have this double click class. which works fine. In order to clear grips after user finishes with double clicking,I added two lines (which shown on code below). But having those two line make code faulty. When ?
if user select a dynamic block with stretch grip on it, then double click on stretch grip trianlge. code geneaarte fatal error. Funny thing is code doesn't catch. it. Is there any other way to clear grips after double click ?
Here is code:
Imports Autodesk.AutoCAD.RuntimeImports Autodesk.AutoCAD.ApplicationServicesImports Autodesk.AutoCAD.EditorInputImports Autodesk.AutoCAD.DatabaseServicesPublic Class Main_0_Class Implements IExtensionApplication Public Sub Initialize() Implements IExtensionApplication.Initialize dblClickEven_Class.Start() End Sub [Code] .....
Is there a way to have the grip stay in the correct position when the distance multiplier is .5? It seems to "get ahead" of the original location.
In the attached block, when I stretch the block with the grip, the grip ends up off the end point. Both actions have a .5 multiplier, with the left side having a rotation of 180 - so both sides stretch equally in opposite directions.
Also, there are 3 views with parameters (width/depth). Is there a way to get the user to enter in the sizes without having to select the size on each view? Basically a table that has a 'user input' field so the size selected changes everything at one time.
Any way to remove the alignment grip (the blue triangle / square thing) when you're creating a dynamic block?
I know you can remove the stretch grips and such, but I don't need an "alignment grip" and it's just another symbol that will confuse my users / clutter the block up.
Have dynamic block w/ Block Properties table. Can use table to change size of block by picking from dropdown list. Would like move (insertion) point of entire block to always remain exactly centered in block. Block is simply a rectangle. Have tried setting insertion point using point filters (.x of mid of horiz line, yz of mid of vert line, etc,) but all this does is assign an absolute value to the insertion point. When the size of the block changes, the insertion point remains where it was (absolute position).
Have tried creating a base point parameter, but it will not let me use geometric constraints to define position (coincident w/ endpoint) or add parametric dimension so cannot define location by using formulas (d2 =d1/2, etc). Have kludged it by using dummy point at 0,0 and "fixing" it.
Same thing for location of properties table - how do I tell it to attach the properties table grip "coincident" to the lower right corner of the rectangle so it follows the corner when the size changes?
Have attached what I have so far.
Ultimately want to also place the text "Case 1" "Case 2" etc as read from the properties table in the middle of the rectangle so that when I explode the block the text remains.
Exploring a new field in LT here, was wondering if it's possible to use a flip-grip kind of parameter to control the scale of an object, kind of like an on/off switch.
In this case I have a straight line that is about 15mm. What I want is to be able to click a grip and it disappears ( scales down ) and when I click it again it reappears ( scales up ).
I know that this is possible through a lookup parameter or just a similar effect with a stretch grip, But I want to be able to just click a grip like the one for Flip and it re/appears.
I'm having all kinds of trouble with these dynamic blocks.
This one should be simple, but I can't even get it to work! Please take a look at the drawing... when you flip it, it flips everything (as it should), but the stretch grip goes "up", instead of staying in the middle of the box in the flipped state.
I've made a dynamic block that consists of two lots of attributed text and has the alignment function in it but the alignment part doesn't work when looking through a viewport into modelspace ie i can move it by grapping the alignment grip point - it won't move at all. If i'm in the model tab the block works fine exactly how i made it. I'm the only person in my offie with 2011lt so i don't know if it is my computer or if it is a setting in 2011lt. It works fine in 2011 full and a few other versions around here aswell.
I know you can add a connection grip point to newly created sketch symbols, but how do you add it to the existing Rev Block from Inventor right out of the box? You can't edit the definition of the Rev Block, I'm stumped. I need to do this so my Rev Block is attached to the titleblock top right corner so when changing border sizes, it follows the top right corner.
No matter whether Dynamic Input is on or off, input needs to be @X,Y in order to draw with relative coordinates.
Many students have installed recently AutoCAD LT 2012 Educational version and this problem appears only with one of them. Dyn Input Settings seems to be equal on all computers.
I'm writing because I need to disable the dynamic input in AutoCAD.
It's irritating to me, because I'm more used to a much older version of AutoCAD.
Upon searching through the internet I found a thread here that says that I have to set DYNMODE to "0" to turn off the dynamic input. Alas, I have no clue as to at which subfolder of the registry this variable should be.
When using grips to move a multileader source block with the attachment defined as insertion point (the insertion point being the center of the source block) the grip point moves off of the block if the move is to the left of the multileaders end point. When the drawing is reopened the blocks move from where they were placed to the off insertion point grips. A screen shots jpg and a drawing file are attached
When I create a line using dynamic input, I key in the length, TAB, and the angle. Is there a toggle setting somewhere that will allow me to enter angles greater than 180°? Drawing Units are set to Base angle north (270°) angles in D-M-S measured clockwise, yet dynamic input angles are measured from east (0°) both clockwise and counterclockwise. I.E. an input of 90° gives me either north or south, depending on where the cursor is located.
Ideally, I would like to be able to enter either 225° or -135° and have the line head off to the southwest. So far, I'm stymied and have to resort to command line entry. How to make dynamic input do what I want it to?
I've been working on a project for a bit and so far everything had been working correctly. But recently I must have mistakenly changed a setting I don't know about because now I am experiencing an issue.
When I am trying to enter a unit at the pointer, for example, the length of a line I am creating, if I use a space, AutoCAD seems to be treating it as ENTER and thus I can not specify my unit correctly.
In other words, if I want my line to be 3'-9 5/8" in length, I can type in 3'-9, but as soon as I hit the space bar in order to type in the 5/8" AutoCAD automatically finishes my line at a length of 3'-9".
I can't seem to turn on the dynamic input. I followed the advice to go through Tools-Application Options - Sketch Tab, but then it references a 'Settings' box that doesn't seem to exist (see the attached screen shot). Is there some other option that needs to be turned on?
I cannot get Dynamic Input to work correctly on my AutoCAD 2013 installation. Polar Format is always the default no matter what the variable DYNPIFORMAT is set to. Neither using 0 or 1 as the setting will enable Cartesian Format to be the default for the second or next point. Changing the settings in the Pointer Input Settings dialogue box to Cartesian Format also has no effect. 2nd point always is entered as Polar Format. The over-ride for cartesian (,) does work though. I simply want the default to always be cartesian .
If you create a group, after that select it and click on the insertion point (grip) using a lot of time the space bar (to switch between move, rotate, scale and mirror) after a while autocad crash.
Tested in AutoCAD 2013 and 2014 in more the one installation.